.\" -*-nroff-*- .\" .\" Copyright (C) 2000 Thomas Roessler .\" .\" This document is in the public domain and may be distributed and .\" changed arbitrarily. .\" .TH mbox 5 "2002-02-19" Unix "User Manuals" .\" .SH "نام (NAME)" mbox_neomutt \- قالب فایل صندوق پستی mbox در NeoMutt .\" .SH "توضیحات (DESCRIPTION)" این سند قالبی را شرح می‌دهد که به طور سنتی توسط میزبان‌های یونیکس برای ذخیره‌سازی محلی پیام‌های ایمیل استفاده می‌شود. فایل‌های .B mbox معمولاً در مسیر نگهداری موقت ایمیل‌های سیستم (spool)، با نام‌های مختلف در پوشه‌های Mail کاربران، و با نام .B mbox در دایرکتوری‌های خانگی کاربران قرار دارند. .PP یک .B mbox یک فایل متنی شامل تعداد دلخواهی از پیام‌های رایانامه (ایمیل) است. هر پیام از یک مهر پستی (postmark) تشکیل شده که پس از آن پیام ایمیل با قالب‌بندی مطابق با \fBRFC822\fP و \fBRFC2822\fP قرار می‌گیرد. قالب فایل خط‌محور است. خطوط با نویسه‌های تغییر خط (ASCII 10) از یکدیگر جدا می‌شوند. .PP یک خط مهر پستی شامل چهار نویسه «From» است که به دنبال آن یک نویسه فاصله، سپس نشانی فرستنده پاکت (envelope) پیام، یک فاصله سفید و در نهایت یک مهر زمانی می‌آید. این خط معمولاً خط From_ نامیده می‌شود. .PP انتظار می‌رود نشانی فرستنده از نوع .B addr-spec همان‌طور که در بخش 3.4.1 از \fBRFC2822\fP تعریف شده باشد. تاریخ باید از نوع .B date-time به صورتی که توسط .BR asctime (3) خروجی داده می‌شود باشد. به دلایل سازگاری با نرم‌افزارهای قدیمی، سال‌های دو رقمی بزرگ‌تر یا مساوی ۷۰ باید به عنوان سال‌های ۱۹۷۰ به بعد تفسیر شوند، در حالی که سال‌های دو رقمی کمتر از ۷۰ باید به عنوان سال‌های ۲۰۰۰ تا ۲۰۶۹ تعبیر گردند. نرم‌افزاری که فایل‌ها را در این قالب می‌خواند باید برای پذیرش اطلاعات منطقه زمانی غیرعددی مانند «CET DST» برای ساعت تابستانی اروپای مرکزی نیز آماده باشد. .PP مثال: .IP "" 1 >From example@example.com Fri Jun 23 02:56:55 2000 .PP برای جلوگیری از تفسیر نادرست خطوط در بدنه پیام که با چهار نویسه «From» به همراه یک نویسه فاصله آغاز می‌شوند، عامل تحویل ایمیل (MDA) باید هر بار رخ دادن «From » در ابتدای خط بدنه را نقل‌قول کند. .sp دو طرح مختلف برای نقل‌قول وجود دارد؛ اولی (\fBMBOXO\fP) تنها خطوط معمولی «From » در بدنه را با افزودن «>» به ابتدای خط نقل‌قول می‌کند؛ دومی (\fBMBOXRD\fP) خطوطی را که از پیش نقل‌قول شده‌اند نیز با افزودن یک «>» نقل‌قول می‌کند (یعنی «>From »، «>>From » و...). دومی این مزیت را دارد که خطوطی مانند .IP "" 1 >From the command line you can use the '\-p' option .PP به اشتباه نقل‌قول‌زدایی نمی‌شوند، زیرا یک \fBMBOXRD\fP-MDA این خط را پیش از ذخیره کردن به شکل زیر تبدیل می‌کند: .IP "" 1 >>From the command line you can use the '\-p' option .PP علاوه بر \fBMBOXO\fP و \fBMBOXRD\fP، قالب \fBMBOXCL\fP نیز وجود دارد که همان \fBMBOXO\fP همراه با فیلد «Content-Length:» است که تعداد بایت‌های بدنه پیام را مشخص می‌کند؛ برخی MUAها (مانند .BR neomutt (1)) هنگام بازنویسی صندوق‌های پستی، به طور خودکار صندوق‌های \fBMBOXO\fP را به \fBMBOXCL\fP تبدیل می‌کنند، چرا که \fBMBOXCL\fP می‌تواند توسط هر \fBMBOXO\fP-MUA بدون هیچ مشکلی خوانده شود. .PP اگر زمان تغییر (که معمولاً از طریق .BR stat (2) تعیین می‌شود) یک فایل .B mbox غیرخالی از زمان دسترسی به آن بیشتر باشد، فایل حاوی ایمیل جدید است. بسیاری از MUAها یک سرآیند Status: در هر پیام قرار می‌دهند تا مشخص کنند کدام پیام‌ها قبلاً خوانده شده‌اند. .\" .SH "قفل‌گذاری (LOCKING)" از آنجا که فایل‌های .B mbox معمولاً توسط چندین برنامه به صورت همزمان مورد دسترسی قرار می‌گیرند، دسترسی به فایل‌های .B mbox عموماً نباید بدون قفل‌گذاری صورت پذیرد. .PP سه سازوکار قفل‌گذاری مختلف (و ترکیب‌هایی از آن‌ها) به صورت عمومی مورد استفاده قرار می‌گیرند: .IP "\(bu" قفل‌گذاری .BR fcntl (2) بیشتر در سیستم‌های جدیدتر و منطبق بر استاندارد POSIX استفاده می‌شود. استفاده از این روش قفل‌گذاری به ویژه زمانی که فایل‌های .B mbox از طریق سیستم فایل شبکه‌ای (NFS) مورد دسترسی قرار می‌گیرند توصیه می‌شود، زیرا ظاهراً تنها روش مطمئن برای باطل‌سازی حافظه موقت کلاینت‌های NFS است. .IP "\(bu" قفل‌گذاری .BR flock (2) بیشتر در سیستم‌های مبتنی بر BSD استفاده می‌شود. .PP اگر چندین روش ترکیب شوند، پیاده‌سازان باید اطمینان حاصل کنند که از حالت‌های غیرمسدودکننده (non-blocking) فراخوان‌های سیستمی .BR fcntl (2) و .BR flock (2) استفاده کنند تا از بن‌بست (deadlock) جلوگیری شود. .PP اگر چندین روش ترکیب شوند، یک فایل .B mbox نباید پیش از به دست آمدن تمامی قفل‌های مجزا، با موفقیت قفل‌شده در نظر گرفته شود. هنگامی که یکی از روش‌های قفل‌گذاری مجزا با شکست مواجه می‌شود، برنامه باید تمام قفل‌هایی را که با موفقیت کسب کرده است آزاد کند و پس از یک تاخیر مناسب، کل فرآیند قفل‌گذاری را از ابتدا آغاز نماید. .PP سازوکار قفل‌گذاری مورد استفاده در یک سیستم خاص، تابع خط‌مشی محلی است و باید به طور یکنواخت توسط تمام برنامه‌های نصب‌شده روی سیستم که به فایل‌های .B mbox دسترسی دارند استفاده شود. عدم رعایت این موضوع ممکن است منجر به از دست رفتن داده‌های ایمیل و خراب شدن فایل‌های .B mbox گردد. .\" .SH "فایل‌ها (FILES)" .IR /var/spool/mail/ $LOGNAME .RS پوشه ایمیل‌های ورودی \fB$LOGNAME\fP. .RE .PP .RI $HOME /mbox .RS پیام‌های ایمیل بایگانی‌شده کاربر، در دایرکتوری \fB$HOME\fP او. .RE .PP .RI $HOME /Mail/ .RS پوشه‌ای در دایرکتوری \fB$HOME\fP کاربر که معمولاً برای نگهداری پوشه‌های با قالب .B mbox استفاده می‌شود. .RE .\" .SH "همچنین ببینید (SEE ALSO)" .BR neomutt (1), .BR fcntl (2), .BR flock (2), .BR link (2), .BR stat (2), .BR asctime (3), .BR maildir (5), .BR mmdf (5), .BR RFC822 , .BR RFC976 , .B RFC2822 .\" .SH "نویسندگان (AUTHORS)" Thomas Roessler , Urs Janssen .\" .SH "تاریخچه (HISTORY)" قالب .B mbox نخستین بار در نسخه ۶ یونیکس AT&T ظاهر شد. .br گونه‌ای از این قالب در \fBRFC976\fP مستند شده است.